WelcomeWelcome | FAQFAQ | DownloadsDownloads | WikiWiki

Author Topic: xpdf (3.02pl4) missing fontconfig dependency.  (Read 2632 times)

Offline oldvoid

  • Newbie
  • *
  • Posts: 5
xpdf (3.02pl4) missing fontconfig dependency.
« on: March 08, 2010, 01:34:55 PM »
xpdf (forum) is missing the fontconfig dependency, and fails to execute without it.
fontconfig itself depends on expat2.

Once satisfied xpdf executes to satisfaction, but with the following warnings:
Quote
$ xpdf
Xlib:  extension "Generic Event Extension" missing on display ":0.0".
Warning: Cannot convert string "-*-courier-medium-r-normal--12-*-*-*-*-*-iso8859-1" to type FontStruct
Warning: Cannot convert string "-*-times-bold-i-normal--20-*-*-*-*-*-iso8859-1" to type FontStruct
Warning: Cannot convert string "-*-times-medium-r-normal--16-*-*-*-*-*-iso8859-1" to type FontStruct

Offline Jason W

  • Administrator
  • Hero Member
  • *****
  • Posts: 9730
Re: xpdf (3.02pl4) missing fontconfig dependency.
« Reply #1 on: March 08, 2010, 01:58:16 PM »
Added to dep file.
 
I googled the font warnings and they seem to be a font path issue, the Xlib warning is well documented in the forum.   But I won't be able to further investigate in the near future.  But a setting in the config file may well be all it needs.
« Last Edit: March 08, 2010, 02:00:01 PM by Jason W »

Offline Jason W

  • Administrator
  • Hero Member
  • *****
  • Posts: 9730
Re: xpdf (3.02pl4) missing fontconfig dependency.
« Reply #2 on: March 08, 2010, 05:26:17 PM »
I didn't get the warnings to go away, and I think they are harmless anyway.  But I did edit the xpdfrc to make use of the ghostscript font extension.

Offline oldvoid

  • Newbie
  • *
  • Posts: 5
Re: xpdf (3.02pl4) missing fontconfig dependency.
« Reply #3 on: March 10, 2010, 10:32:18 AM »
Very prompt work, thank you.

I just checked a repository, and noticed that expat2 was listed among xpdf's dependencies. I don't know if it's common practice to list the dependencies of a package's dependencies among that package's dependencies (mouthful, yikes), but expat2 is a dependency of fontconfig not xpdf.

Offline Jason W

  • Administrator
  • Hero Member
  • *****
  • Posts: 9730
Re: xpdf (3.02pl4) missing fontconfig dependency.
« Reply #4 on: March 10, 2010, 10:40:20 AM »
With our current simple dep files, we have to list all dependencies and not just the highest level ones.

Recursive dependencies will allow us to only list the highest level deps in the dep files.